Subject: [dhcwg] Option 119 (Domain Search Option) and Option 15 (Domain Name Option)

From: VithalPrasad Gaitonde <[email-masked]>
Date: Tue, 30 Nov 2010 12:37:38 +0530

Hi,

Option 119 (RFC 3397) and Option 15 (RFC 2132) provide DNS domain suffixes
to a DHCP client - with option 119 providing the ability to configure a list
instead of a single domain name (option 15).

Is there any specification on the client behaviour when both option 15 and
option 119 are provided in the server response:
1. Should option 119 value override option 15  value
2. Should option 15 value override option 119 value
3. Should the set of values be concatenated with preference for option 119
i.e. name resolution is first attempted with the values in option 119
followed by value in option 15.
4. Should the set of values be concatenated with preference for option 15
i.e. name resolution is first attempted with the value in option 15 followed
by values in option 119.
RFC 3396 seems to be silent on this aspect.

Thanks,
Prasad

---

From: Ted Lemon <[email-masked]>
Date: Tue, 30 Nov 2010 09:39:01 -0600

On Nov 30, 2010, at 1:07 AM, VithalPrasad Gaitonde wrote:
> Is there any specification on the client behaviour when both option 15 and option 119 are provided in the server response:

Unfortunately, there is no specification.   Since the DSL option was documented after the Domain Name option, one could assume that it takes precedence.

It would probably be worth updating RFC3397 to correct this problem--it's actually a pretty serious omission.